import React, { Component } from 'react';

export default class BlinkDot extends Component {
	render() {
		let {radius, cx, cy, color, blink, id} = this.props
		return (
			<g key={'blinkDot__'+id} transform={"translate("+cx+","+cy+")"} id={'blinkDot__'+id}>
				<circle 
					r={radius}
					fill={color}
					className={blink ? 'blink' : ''}/>
			</g>
		);
	}
}
